import * as monaco from '@codingame/monaco-vscode-editor-api';
import * as vscode from 'vscode';
import { IReference, ITextFileEditorModel } from 'vscode/monaco';
import { MonacoLanguageClient } from 'monaco-languageclient';
import '@codingame/monaco-vscode-theme-defaults-default-extension';
import '@codingame/monaco-vscode-json-default-extension';
import { MessageTransports } from 'vscode-languageclient';
export declare const configureMonacoWorkers: () => void;
export declare const startJsonClient: () => Promise<void>;
export declare const createLanguageClient: (transports: MessageTransports, languageId: string) => MonacoLanguageClient;
/** parameterized version , support all languageId */
export declare const initWebSocketAndStartClient: (url: string, languageId: string) => WebSocket;
/** backwards compatible wrapper for legacy version, only support json as languageId */
export declare const createWebSocketAndStartClient: (url: string) => WebSocket;
export declare const createDefaultJsonContent: () => string;
export declare const performInit: (vscodeApiInit: boolean) => Promise<void>;
export type ExampleJsonEditor = {
    languageId: string;
    editor: monaco.editor.IStandaloneCodeEditor;
    uri: vscode.Uri;
    modelRef: IReference<ITextFileEditorModel>;
};
export declare const doInit: (vscodeApiInit: boolean, registerConfig: monaco.languages.ILanguageExtensionPoint) => Promise<void>;
export declare const createMonacoEditor: (config: {
    htmlElement: HTMLElement;
    content: string;
    languageId: string;
}) => Promise<ExampleJsonEditor>;
export declare const createJsonEditor: (config: {
    htmlElement: HTMLElement;
    content: string;
}) => Promise<ExampleJsonEditor>;
export declare const runBrowserEditor: () => Promise<void>;
//# sourceMappingURL=main.d.ts.map